Bug 20157 - Use group 'features' to decide which groups to use for group searching functionality
Summary: Use group 'features' to decide which groups to use for group searching functi...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 16735 20133
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-07 17:48 UTC by Kyle M Hall
Modified: 2018-02-16 01:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20157 - Use group 'features' to decide which groups to use for group searching functionality (12.77 KB, patch)
2018-02-07 19:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20157 - Update Schema (1.70 KB, patch)
2018-02-07 19:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20157 - Use group 'features' to decide which groups to use for group searching functionality (13.98 KB, patch)
2018-02-07 20:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20157 - Update Schema (1.70 KB, patch)
2018-02-07 20:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20157: Save the features that have been checked (2.85 KB, patch)
2018-02-09 13:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20157: Correctly hide the features for non first level groups (1.17 KB, patch)
2018-02-09 13:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20157 [QA Followup] - Fix error triggered by subgroups being added to group (783 bytes, patch)
2018-02-09 13:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20157: Group search groups together (3.75 KB, patch)
2018-02-09 15:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20157 - Use group 'features' to decide which groups to use for group searching functionality (14.13 KB, patch)
2018-02-09 20:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20157 - Update Schema (1.77 KB, patch)
2018-02-09 20:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20157: Save the features that have been checked (2.92 KB, patch)
2018-02-09 20:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20157: Correctly hide the features for non first level groups (1.25 KB, patch)
2018-02-09 20:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20157: Do not display OPAC groups on the staff interface (1.67 KB, patch)
2018-02-09 20:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20157: Group search groups together (3.96 KB, patch)
2018-02-09 20:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-02-07 17:48:00 UTC

    
Comment 1 Kyle M Hall 2018-02-07 17:49:06 UTC
Instead of basing the group searches on the group name, which is an inherently touchy system, we should use the same checkbox style that Jonathan introduced for the patron limits by group feature.
Comment 2 Kyle M Hall 2018-02-07 19:56:26 UTC
Created attachment 71320 [details] [review]
Bug 20157 - Use group 'features' to decide which groups to use for group searching functionality

Instead of basing the group searches on the group name, which is an
inherently touchy system, we should use the same checkbox style that
Jonathan introduced for the patron limits by group feature.

Test Plan:
1) Check to ensure existing group searches still show as they used to
Comment 3 Kyle M Hall 2018-02-07 19:56:32 UTC
Created attachment 71321 [details] [review]
Bug 20157 - Update Schema
Comment 4 Kyle M Hall 2018-02-07 20:14:40 UTC
Created attachment 71323 [details] [review]
Bug 20157 - Use group 'features' to decide which groups to use for group searching functionality

Instead of basing the group searches on the group name, which is an
inherently touchy system, we should use the same checkbox style that
Jonathan introduced for the patron limits by group feature.

Test Plan:
1) Check to ensure existing group searches still show as they used to
Comment 5 Kyle M Hall 2018-02-07 20:14:48 UTC
Created attachment 71324 [details] [review]
Bug 20157 - Update Schema
Comment 6 Jonathan Druart 2018-02-09 13:00:59 UTC
Created attachment 71382 [details] [review]
Bug 20157: Save the features that have been checked

Previous patch forgot to modify the controller script to save the
changes.
Comment 7 Jonathan Druart 2018-02-09 13:10:53 UTC
Created attachment 71383 [details] [review]
Bug 20157: Correctly hide the features for non first level groups
Comment 8 Kyle M Hall 2018-02-09 13:57:55 UTC
Created attachment 71385 [details] [review]
Bug 20157 [QA Followup] - Fix error triggered by subgroups being added to group
Comment 9 Jonathan Druart 2018-02-09 15:01:38 UTC
Created attachment 71387 [details] [review]
Bug 20157: Group search groups together

We do not actually need 2 groups, the previous feature worked for both
OPAC and STAFF interface.
The only difference was the "show_in_pulldown" feature.
Here we are going to REMOVE this feature for ergonomic reasons. We will
already have 3 features and it will surcharge the interface to add
another one. Moreover the feature will have to be applied at the OPAC
(and so will add lot of JS checks to keep data consistent: only useful
if ft_search_groups_opac is set).
Moreover it is quite easy to remove entry from the dropdown list in
JavaScript.

If people was really using this feature, we will re-add it, just let us
know.
Comment 10 Jonathan Druart 2018-02-09 15:05:39 UTC
Comment on attachment 71385 [details] [review]
Bug 20157 [QA Followup] - Fix error triggered by subgroups being added to group

Moved to bug 18403
Comment 11 Jonathan Druart 2018-02-09 20:07:53 UTC
Created attachment 71395 [details] [review]
Bug 20157 - Use group 'features' to decide which groups to use for group searching functionality

Instead of basing the group searches on the group name, which is an
inherently touchy system, we should use the same checkbox style that
Jonathan introduced for the patron limits by group feature.

Test Plan:
1) Check to ensure existing group searches still show as they used to

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Jonathan Druart 2018-02-09 20:07:56 UTC
Created attachment 71396 [details] [review]
Bug 20157 - Update Schema

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 13 Jonathan Druart 2018-02-09 20:07:59 UTC
Created attachment 71397 [details] [review]
Bug 20157: Save the features that have been checked

Previous patch forgot to modify the controller script to save the
changes.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Jonathan Druart 2018-02-09 20:08:03 UTC
Created attachment 71398 [details] [review]
Bug 20157: Correctly hide the features for non first level groups

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2018-02-09 20:08:06 UTC
Created attachment 71399 [details] [review]
Bug 20157: Do not display OPAC groups on the staff interface

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Jonathan Druart 2018-02-09 20:08:09 UTC
Created attachment 71400 [details] [review]
Bug 20157: Group search groups together

We do not actually need 2 groups, the previous feature worked for both
OPAC and STAFF interface.
The only difference was the "show_in_pulldown" feature.
Here we are going to REMOVE this feature for ergonomic reasons. We will
already have 3 features and it will surcharge the interface to add
another one. Moreover the feature will have to be applied at the OPAC
(and so will add lot of JS checks to keep data consistent: only useful
if ft_search_groups_opac is set).
Moreover it is quite easy to remove entry from the dropdown list in
JavaScript.

If people was really using this feature, we will re-add it, just let us
know.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 17 Jonathan Druart 2018-02-09 21:45:50 UTC
I am going to push this change along with bug 16735 and bug 20133.
Comment 18 Jonathan Druart 2018-02-12 18:47:46 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 19 Nick Clemens 2018-02-16 01:40:53 UTC
Awesome work all! Enhancement, not backported to stable.